Main Page glibmm Namespaces Book

# containerhandle_shared.h File Reference

## Namespaces
namespace | Glib
namespace | Glib::Container_Helpers
## Classes
class | Glib::Sequence<Iterator>
| Utility class holding an iterator sequence. More...
struct | Glib::Container_Helpers::TypeTraits<T>
| Generic TypeTraits implementation. More...
## Enumerations
enum | Glib::OwnershipType { Glib::OWNERSHIP_NONE = 0, Glib::OWNERSHIP_SHALLOW, Glib::OWNERSHIP_DEEP }
## Functions
template<class Iterator>
Sequence<Iterator> | Glib::sequence (Iterator pbegin, Iterator pend)
| Helper function to create a Glib::Sequence<> object, which in turn can be used to initialize a container handle.